%global major 0
%define libname %mklibname efivar %major
%define devname %mklibname -d efivar

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           efivar
Version:        38
Release:        %mkrel 2
Group:          System/Boot and Init
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
URL:            https://github.com/rhboot/efivar
Requires:       %{libname} = %{version}-%{release}

BuildRequires:  pkgconfig(popt) 
BuildRequires:  popt-static 
BuildRequires:  git 
BuildRequires:  efi-srpm-macros
BuildRequires:  glibc-static-devel
# please don't fix this to reflect github's incomprehensible url that goes
# to a different tarball.
Source0:        https://github.com/rhboot/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2
Source1:        efivar.patches

# include patches
%include %{SOURCE1}

# (tv) we don't have mandoc:
Patch1000:	0001-Mageia-does-not-have-mandoc.patch

%description
efivar provides a simple command line interface to the UEFI variable facility.


%package -n %libname
Summary: Library to manage UEFI variables
Group: System/Libraries

%description -n %libname
Library to allow for the simple manipulation of UEFI variables.

%package -n %devname
Group: Development/C
Summary: Development headers for libefivar
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %devname
development headers required to use libefivar.

%prep
%setup -q 
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name

%build
make LIBDIR=%{_libdir} BINDIR=%{_bindir} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
%makeinstall
install -m 0644 src/abignore %{buildroot}%{_includedir}/efivar/.abignore

%files
%doc COPYING
%{_bindir}/efivar
%{_bindir}/efisecdb
%{_mandir}/man1/*

%files -n %devname
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %libname
%{_libdir}/*.so.*


%changelog
* Sat Nov 05 2022 tv <tv> 38-2.mga9
+ Revision: 1903862
- Fix build with glibc-2.36

* Wed Jan 19 2022 tv <tv> 38-1.mga9
+ Revision: 1769099
- 38
- Fix build without mandoc

* Fri Jun 18 2021 tv <tv> 37-12.mga9
+ Revision: 1731120
- Enable Intel Control-flow Enforcement Technology (CET, rhbz#1808811)

* Tue Nov 24 2020 tv <tv> 37-11.mga8
+ Revision: 1648965
- Remove explicit LTO bits from flags, thus fixing build

* Tue Oct 27 2020 tv <tv> 37-10.mga8
+ Revision: 1639849
- Fix XML ABI dumps that were generated with a faulty GCC and missed the
  variadic arguments when building without LTO (rhbz#1863475)

* Sun Jun 07 2020 martinw <martinw> 37-9.mga8
+ Revision: 1590879
- add missing upstream patches
+ tv <tv>
- fix eMMC sysfs path parsing (rhbz#1826864)
- use efi-srpm-macros

* Mon Feb 24 2020 tv <tv> 37-5.mga8
+ Revision: 1550186
- pull fixes from upcoming 38

* Tue Feb 18 2020 umeabot <umeabot> 37-4.mga8
+ Revision: 1538042
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 tv <tv> 37-3.mga8
+ Revision: 1459653
- Update for some compiler warning fixes (rhbz#1735169)

* Sun Dec 16 2018 pterjan <pterjan> 37-2.mga7
+ Revision: 1341711
- Build on all architectures

* Sat Dec 08 2018 tv <tv> 37-1.mga7
+ Revision: 1338904
- new release

* Mon Nov 26 2018 tv <tv> 36-2.mga7
+ Revision: 1335225
- Add NVDIMM support
- Re-written linux interface parser to handle how devices are
  partitioned better, and for cleaner code, with one file per device
  type.
- lots of verbosity updates
- better CI
- analysis with clang's analyzer as well as coverity
- Better handling of immutable bits in sysfs
- LIBEFIVAR_OPS=help
- lots of code cleanups.

* Fri Oct 12 2018 tv <tv> 36-1.mga7
+ Revision: 1319907
- new version

* Sun Sep 23 2018 umeabot <umeabot> 31-2.mga7
+ Revision: 1297576
- Mageia 7 Mass Rebuild

* Tue Apr 11 2017 ovitters <ovitters> 31-1.mga7
+ Revision: 1096414
- new version 31 (new versioning scheme)

* Tue Aug 02 2016 ngompa <ngompa> 0.24-2.mga6
+ Revision: 1044296
- Add missing Provides for devel subpackage

* Fri Jul 08 2016 tv <tv> 0.24-1.mga6
+ Revision: 1039679
- new release

* Sun Feb 21 2016 tv <tv> 0.23-1.mga6
+ Revision: 975281
- BR popt-static
- BR static libs
- new release
- fix compiling with kernel-4.4
  (still need a newer kernel-userspace-headers)
- fix source URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Sep 04 2015 tv <tv> 0.21-1.mga6
+ Revision: 872717
- new release

* Sun Jun 21 2015 tv <tv> 0.20-1.mga6
+ Revision: 837835
- new release

* Fri Apr 24 2015 barjac <barjac> 0.15-2.mga5
+ Revision: 820723
- bump release for core

* Thu Apr 23 2015 barjac <barjac> 0.15-1.mga5
+ Revision: 820590
- new version 0.15 fixes mga#15442

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 743363
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 678968
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 0.11-2.mga5
+ Revision: 672967
- imported package efivar

